{config, ...}: {
  home-manager.users.jade = {pkgs, ...}: {
    # Needed for nu_scripts background_task
    services.pueue = {
      enable = true;
      settings = {
        shared = {
          use_unix_socket = true;
        };
      };
    };
    home.packages = [
      pkgs.pueue
    ];
    programs.nushell = {
      enable = true;
      package = config.users.defaultUserShell;
      configFile.source = ../../other/config.nu;
      envFile.source = ../../other/env.nu;
      extraConfig = ''
        plugin add ${pkgs.nushellPlugins.query}/bin/nu_plugin_query;
        plugin add ${pkgs.nushellPlugins.polars}/bin/nu_plugin_polars;
        plugin add ${pkgs.nushellPlugins.formats}/bin/nu_plugin_formats;

        plugin use query;
        plugin use polars;
        plugin use formats;

        nu ${../../other/scripts/desktop/shell-startup.nu};
      '';
    };
    programs.starship.enableNushellIntegration = true;
    programs.carapace.enableNushellIntegration = true;
    programs.direnv.enableNushellIntegration = true;
  };
}
